nsfftl_plan Struct Reference

data structure for an NSFFT (nonequispaced sparse fast Fourier transform) plan with long double precision More...

`#include <nfft3.h>`

Collaboration diagram for nsfftl_plan:
[legend]

## Public Member Functions

| FFTW_MANGLE_LONG_DOUBLE (plan)*set_fftw_plan1
| fftw plan for the nfft blocks
| FFTW_MANGLE_LONG_DOUBLE (plan)*set_fftw_plan2
| fftw plan for the nfft blocks

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftwl_complex * | f_hat
| Fourier coefficients. More...
fftwl_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
int | d
| dimension, rank; d = 2, 3
int | J
| problem size, i.e., d=2: N_total=(J+4) 2^(J+1) d=3: N_total=2^J 6(2^((J+1)/2+1)-1)+2^(3(J/2+1))
int | sigma
| oversampling-factor
unsigned | flags
| flags for precomputation, malloc
int * | index_sparse_to_full
| index conversation, overflow for d=3, J=9!
int | r_act_nfft_plan
| index of current nfft block
nfftl_plan * | act_nfft_plan
| current nfft block
nfftl_plan * | center_nfft_plan
| central nfft block
nfftl_plan * | set_nfft_plan_1d
| nfft plans for short nffts
nfftl_plan * | set_nfft_plan_2d
| nfft plans for short nffts
long double * | x_transposed
| coordinate exchanged nodes, d = 2
long double * | x_102
long double * | x_201
long double * | x_120
long double * | x_021
| coordinate exchanged nodes, d=3

## Detailed Description

data structure for an NSFFT (nonequispaced sparse fast Fourier transform) plan with long double precision

Definition at line 475 of file nfft3.h.

## Field Documentation

NFFT_INT nsfftl_plan::N_total

Total number of Fourier coefficients.

Definition at line 475 of file nfft3.h.

NFFT_INT nsfftl_plan::M_total

Total number of samples.

Definition at line 475 of file nfft3.h.

fftwl_complex* nsfftl_plan::f_hat

Fourier coefficients.

Definition at line 475 of file nfft3.h.

fftwl_complex* nsfftl_plan::f

Samples.

Definition at line 475 of file nfft3.h.

void(* nsfftl_plan::mv_trafo) (void *)

Transform.

Definition at line 475 of file nfft3.h.

void(* nsfftl_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 475 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h